commit:     59080e1bfda028726972289c9ed8a02b7d84a853
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  6 10:27:18 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Jul  6 10:27:18 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59080e1b

app-misc/lsx: Remove -L/usr/lib from link line

Closes: https://bugs.gentoo.org/729514
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 app-misc/lsx/lsx-0.1-r1.ebuild | 27 +++++++++++----------------
 1 file changed, 11 insertions(+), 16 deletions(-)

diff --git a/app-misc/lsx/lsx-0.1-r1.ebuild b/app-misc/lsx/lsx-0.1-r1.ebuild
index 1cfccc2c3cd..398cf21908b 100644
--- a/app-misc/lsx/lsx-0.1-r1.ebuild
+++ b/app-misc/lsx/lsx-0.1-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit toolchain-funcs
+inherit flag-o-matic toolchain-funcs
 
 DESCRIPTION="list executables"
 
HOMEPAGE="https://web.archive.org/web/20160104002819/http://tools.suckless.org:80/lsx";
@@ -13,30 +13,25 @@ LICENSE="MIT"
 SLOT="0"
 KEYWORDS="amd64 x86"
 
-DOCS=( README )
-
 src_prepare() {
        default
 
-       sed -i \
-               -e "s/.*strip.*//" \
-               Makefile || die "sed failed"
+       # overengineered build system
+       rm Makefile config.mk || die
+}
 
-       sed -i \
-               -e "s/CFLAGS = -Os/CFLAGS +=/" \
-               -e "s/LDFLAGS =/LDFLAGS +=/" \
-               config.mk || die "sed failed"
+src_configure() {
+       tc-export CC
+       append-cppflags -DVERSION='\"0.1\"'
 }
 
 src_compile() {
-       emake CC=$(tc-getCC)
+       emake lsx
 }
 
 src_install() {
-       emake DESTDIR="${D}" PREFIX="/usr" install
-
        # collision with net-dialup/lrzsz
-       mv "${D}/usr/bin/${PN}" "${D}/usr/bin/${PN}-suckless" || die
+       newbin ${PN} ${PN}-suckless
 
        einstalldocs
 }

Reply via email to